
# Interface: IOptionModifier

## Hierarchy

* [IWidgetHeaderParams](iwidgetheaderparams.md)

  ↳ **IOptionModifier**

## Index

### Properties

* [description](ioptionmodifier.md#optional-description)
* [name](ioptionmodifier.md#name)
* [preselectedValue](ioptionmodifier.md#optional-preselectedvalue)
* [prompt](ioptionmodifier.md#optional-prompt)
* [subType](ioptionmodifier.md#optional-subtype)
* [title](ioptionmodifier.md#optional-title)
* [type](ioptionmodifier.md#type)
* [visible](ioptionmodifier.md#optional-visible)

## Properties

### `Optional` description

• **description**? : *string*

*Inherited from [IWidgetHeaderParams](iwidgetheaderparams.md).[description](iwidgetheaderparams.md#optional-description)*

___

###  name

• **name**: *string*

___

### `Optional` preselectedValue

• **preselectedValue**? : *string | string[]*

___

### `Optional` prompt

• **prompt**? : *string*

*Inherited from [IWidgetHeaderParams](iwidgetheaderparams.md).[prompt](iwidgetheaderparams.md#optional-prompt)*

___

### `Optional` subType

• **subType**? : *string*

___

### `Optional` title

• **title**? : *string*

*Inherited from [IWidgetHeaderParams](iwidgetheaderparams.md).[title](iwidgetheaderparams.md#optional-title)*

___

###  type

• **type**: *string*

___

### `Optional` visible

• **visible**? : *boolean*
